package com.qmth.digit.print.business.bean.result;

import com.qmth.digit.print.business.base.BaseResult;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 学校信息查询结果
 * @Author: CaoZixuan
 * @Date: 2021-03-22
 */
public class SchoolResult extends BaseResult {

    @ApiModelProperty(value = "学校代码", example = "123456")
    private String code;

    @ApiModelProperty(value = "学校名称", example = "武汉大学")
    private String name;

    @ApiModelProperty(value = "是否可用", example = "true")
    private boolean enable;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean getEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }
}
