package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 题卡
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_card")
public class ExamCard implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 课程编码
     */
    @TableField("course_code")
    private String courseCode;
    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;
    /**
     * 标题
     */
    private String title;
    /**
     * 题卡制作方式：SELECT-选择已有题卡，SELF-自助创建，CUST-客户制卡
     */
    @TableField("make_method")
    private String makeMethod;
    @TableField("create_id")
    private Long createId;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private Long createTime;
    @TableField("update_id")
    private Long updateId;
    @TableField("update_time")
    private Long updateTime;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMakeMethod() {
        return makeMethod;
    }

    public void setMakeMethod(String makeMethod) {
        this.makeMethod = makeMethod;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
