package com.qmth.digit.print.business.base;


import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 查询基础返回类型
 * @Author: CaoZixuan
 * @Date: 2021-03-22
 */
public class BaseResult extends BaseEntity {

    @ApiModelProperty(value = "创建人", example = "admin")
    private String createName;

    @ApiModelProperty(value = "修改人", example = "admin")
    private String updateName;

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }
}
