package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 考务规则
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_exam_rule")
public class BasicExamRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 必选字段
     */
    @TableField("required_fields")
    private String requiredFields;
    /**
     * 扩展字段
     */
    @TableField("extend_fields")
    private String extendFields;
    /**
     * 0-禁用，1-启用
     */
    private Integer review;
    /**
     * 0-禁用，1-启用
     */
    @TableField("include_paper")
    private Integer includePaper;
    /**
     * 0-禁用，1-启用
     */
    @TableField("custom_card")
    private Integer customCard;
    /**
     * AUTO-自动，MANUAL-手动
     */
    @TableField("print_method")
    private String printMethod;
    @TableField("create_id")
    private Long createId;
    @TableField("create_time")
    private Long createTime;
    @TableField("update_id")
    private Long updateId;
    @TableField("update_time")
    private Long updateTime;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getRequiredFields() {
        return requiredFields;
    }

    public void setRequiredFields(String requiredFields) {
        this.requiredFields = requiredFields;
    }

    public String getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(String extendFields) {
        this.extendFields = extendFields;
    }

    public Integer getReview() {
        return review;
    }

    public void setReview(Integer review) {
        this.review = review;
    }

    public Integer getIncludePaper() {
        return includePaper;
    }

    public void setIncludePaper(Integer includePaper) {
        this.includePaper = includePaper;
    }

    public Integer getCustomCard() {
        return customCard;
    }

    public void setCustomCard(Integer customCard) {
        this.customCard = customCard;
    }

    public String getPrintMethod() {
        return printMethod;
    }

    public void setPrintMethod(String printMethod) {
        this.printMethod = printMethod;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
