package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 学校组织架构
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("sys_org")
public class SysOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学校ID
     */
    @TableField("school_id")
    private Long schoolId;
    /**
     * 机构代码
     */
    private String ode;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 上级机构ID
     */
    @TableField("parent_id")
    private Long parentId;
    /**
     * 0-禁用，1-启用
     */
    private Integer enable;
    /**
     * 创建人
     */
    @TableField("create_id")
    private Long createId;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private Long createTime;
    /**
     * 修改人
     */
    @TableField("update_id")
    private Long updateId;
    /**
     * 修改时间
     */
    @TableField("update_time")
    private Long updateTime;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getOde() {
        return ode;
    }

    public void setOde(String ode) {
        this.ode = ode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
